-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Colony Module")

	Card.SetType("Building")
	Card.SetImage("Card_Building_ColonyModule")
	Card.SetDescription("Designed to form the heart of the colony and to transport the colonists safely, this box-shaped craft crashed to the planet and is damaged beyond repair but at least it provides some shelter.\n\n<align=\"center\"><i>If this card is destroyed, you lose.</i></align>")
	Card.AddDestructionSound("Demolition")
	
	Card.SetCanDemolish(false)
	Card.SetCanTogglePower(false)
	Card.SetCanUpgrade(false)
	Card.SetHealth(5)
	
	Card.ProduceHouses(4)
	Card.ProduceFoodStorage(15)
	Card.ProduceWaterStorage(15)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
	Game.ShowMessage("A Rough Landing", "We've crash landed on an unknown world. The planet's unusual atmosphere is interfering with our communications so we have no idea if there are any other survivors out there.\n\nExternal sensors are also down and we don't know what lies beyond the safety of the module's walls. Is there even atmosphere out there? It could be dangerous, but we won't last long if we don't go out and search for supplies.\n\n<align=\"center\"><i>Survive. Build. Protect the module.\nFind a way to escape this world.</i></align>")
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
	Game.ShowMessage("Colony Destroyed", "The colony module has been destroyed and without it escape is impossible. We will all perish on this world...")

	Game.GameOver()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
	local colonistCount = Game.GetColonistCount()
	
	if colonistCount == 0 then
		Game.ShowMessage("Colony Destroyed", "The last of our colonists has perished. There is no one left to save.")

		Game.GameOver()
	end
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
	local eventOccurred = Data.GetIntExists("PollutionTech")
	if eventOccurred == false then
		local pollution = Stockpile.GetTotalPollution()
		
		if pollution >= 3 then
			Data.CreateInt("PollutionTech", 0)

			Game.ShowMessage("Pollution Study", "Scientists have raised concern about the levels of pollution our colony is giving off and have proposed an investigation into ways to reduce the damage being done to the environment.")

			Game.SpawnCard("PollutionStudy")
		end
	end
end
