-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Damaged Generator")

	Card.SetType("Building")
	Card.SetImage("Card_Building_Generator")
	Card.SetDescription("The generator was critically damaged in the landing. If we don't repair it, it could explode!\n\n<align=\"center\"><i>Gains 1 damage per turn and explodes if it has 3 damage.\nRepair it to prevent explosion.</i></align>")
	Card.SetAmbientSound("EventPowerPlant")
	Card.AddDestructionSound("Demolition")
	
	Card.SetHealth(3)
	
	Card.ProducePower(4)

	Card.SetCanDemolish(false)
	Card.SetCanTogglePower(false)

	Card.AddCondition("Damage")
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
	Game.ShowMessage("Damaged Generator", "The generator was critically damaged in the landing. If we don't repair it, it could explode!\n\n<align=\"center\"><i>Gains 1 damage per turn and explodes if it has 3 damage.\nRepair it to prevent explosion.</i></align>")
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
	local damage = Card.GetConditionCount("All")

	if damage >= 3 then
		Game.ShowMessage("Explosion!", "The damaged generator explodes, sending shrapnel throughout the colony and causing considerable damage.")

		Game.DamageRandomBuildings(1)
		Game.DamageRandomColonists(2, "Damage")
	end
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
	local workers = Work.GetWorkerCount()

	--No workers then takes damage
	if workers == 0 then
		Card.AddCondition("Damage")
	end

	--If repaired, replace with generator
	local damage = Card.GetConditionCount("All")

	if damage == 0 then
		local id = Card.GetInstanceID()
		
		Game.ShowMessage("Crisis Averted", "The colonists let out a cheer as the generator hums back to life.\n\nAlthough there are still many challenges ahead, this small success has lifted spirits: Perhaps the colony will survive after all.")
		
		Game.ReplaceCard(id, "Generator")
	end
end