-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Farm")

	Card.SetType("Building")
	Card.SetImage("Card_Building_Farm")
	Card.SetDescription("Several of the native plants are safe to eat and through farms we can grow enough of them to feed the colony.")
	Card.SetAmbientSound("EventFarm")
	Card.AddDestructionSound("Demolition")

	Card.SetUpgradesTo("FarmHub")
	
	Card.SetHealth(2)
	
	Card.SetLabourCost(4)
	Card.SetMaterialCost(1)

	Card.SetPowerUpkeep(1)
	Card.SetWaterUpkeep(1)

	Card.ProduceFood(5)

	Card.AddEvent("Event", 8, true)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function ChoiceComplete(choiceIndex)
	if choiceIndex == 0 then
		--Research
		Game.SpawnCard("FungalContamination", 1, 0, "Card")
		Game.SpawnCard("FungalResearch")

	elseif choiceIndex == 1 then
		--Destroy
		Game.ShowMessage("Destroying Crops", "We destroyed the infected crops and it has brought an end to the fungal contamination. It will be a while before our crops regrow however.")
		Game.SpawnCard("DestroyedCrops", 1, 0, "Card")

	elseif choiceIndex == 2 then
		--Do nothing
		Game.ShowMessage("Fungal Contamination", "The fungus is increasing farm yield. For now we will do nothing and hope it doesn't make anyone sick.")
		Game.SpawnCard("FungalContamination", 1, 0, "Card")
	end
end

-----------------------------------------------------------
-----------------------------------------------------------
function Event()
	--Display choice
	local desc = "Some kind of fungus has spread through our farms. It covers the plants, causing unusual growth and increasing yield but we cannot be sure it's safe to eat. What should we do?"
	local choice0 = "Research the fungus"
	local choice1 = "Destroy the crops and plant new ones"
	local choice2 = "Do nothing"

	Game.ShowChoice(desc, choice0, choice1, choice2, "ChoiceComplete")
end