-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("The Ark")

	Card.SetType("Building")
	Card.SetImage("Card_Building_InterstellarShip")
	Card.SetDescription("The ship is finished and with it we can finally escape this world and return to Earth.\n\nWe just need to protect it until we have loaded the fuel and supplies.\n\n<align=\"center\"><i>This card begins a countdown to victory</i></align>")
	Card.AddDestructionSound("Demolition")
	
	Card.SetUniqueCategory("Ship")
	Card.SetCanDemolish(false)
	
	Card.SetHealth(3)
	
	Card.SetMaterialCost(40)
	Card.SetPolymerCost(40)

	Card.SetMaterialUpkeep(2)
	Card.SetPolymerUpkeep(2)
	Card.SetPowerUpkeep(30)

	Card.ProduceThreat(3)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
	local damage = Card.GetConditionCount("All")
	if damage < 3 then
		Game.ShowMessage("Escape", "The ship is ready and as the last of the colonists board we look back at the colony we are leaving.\n\nSurviving this world has been difficult but it has also been our home. Perhaps one day we will return and I hope that when we do it will be to live here in peace but for now, Earth awaits.\n\nWe turn our gaze to the stars, soon we will be home.")
		Game.Victory()
	else
		Game.ShowMessage("The Fall of Hope", "The damage to the ship is too great and slowly it begins to topple, striking the ground and exploding as its fuel tanks ignite.\n\nSeveral nearby buildings are damaged in the blast.\n\nYou can feel the disappointment in the colony, it will be difficult to recover from this setback but we must try.")
		
		Game.DamageRandomBuildings(3)
		Game.SpawnCard("Despair")
	end
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	Game.ShowMessage("The Path Home", "The ship is complete.\n\nWe have begun loading the colonists and supplies, and soon we will be able to leave for Earth, but beyond the colony we can see the planet rising against us.\n\nWe must defend the colony until the ship is ready to leave.")

	Card.SetDiscardDelay(10)

	Data.CreateInt("Core_CountDown", 1)
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
	local countDown = Data.GetIntExists("Core_CountDown")
	if countDown == true then
		Game.StartAttack()
	end
end
