-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Launch Pad")

	Card.SetType("Building")
	Card.SetImage("Card_Building_LaunchPad")
	Card.SetDescription("This launch pad allows us to begin creating rockets and is the first step towards building a ship capable of escaping this world.\n\n<align=\"center\"><i>This card is a step towards victory.</i></align>")
	Card.SetAmbientSound("EventFactory")
	Card.AddDestructionSound("Demolition")
	
	Card.SetUniqueCategory("Ship")
	
	Card.SetCanDemolish(false)
	Card.SetHealth(3)
	
	Card.SetLabourCost(37)
	Card.SetMaterialCost(30)
	Card.SetPolymerCost(15)
	
	Card.SetMaterialUpkeep(1)
	Card.SetPolymerUpkeep(1)
	Card.SetPowerUpkeep(10)

	Card.SetDiscardDelay(50);
	Work.SetMaxWorkers(3)

	Card.ProduceThreat(1)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
	local damage = Card.GetConditionCount("All")
	if damage < 3 then
		local id = Card.GetInstanceID()
		id = Game.ReplaceCard(id, "ShipInfrastructure")
		Game.SetCardComplete(id)
	end
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	Game.ShowMessage("The Path Home", "The construction of this launch pad is a significant step forward.\n\nOn this site we can begin building the infrastructure and systems needed to construct an interstellar ship.")
	
	Game.ShowMessage("The World Stirs", "There is a cry of alarm from the guards as creatures begin emerging from the wilderness nearby.\n\nCould this be in response to our attempt to leave?")
	
	Game.StartAttack()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
