-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Ship Logistics")

	Card.SetType("Building")
	Card.SetImage("Card_Building_ShipInfrastructure")
	Card.SetDescription("Building an interstellar craft is no small task. These machines and factories next to the launch pad will assist with the construction and are an essential step in our journey.\n<align=\"center\"><i>This card is a step towards victory.</i></align>")
	Card.SetAmbientSound("EventFactory")
	Card.AddDestructionSound("Demolition")
	
	Card.SetUniqueCategory("Ship")
	
	Card.SetCanDemolish(false)
	Card.SetHealth(3)
	
	Card.SetMaterialCost(30)
	Card.SetPolymerCost(30)
	
	Card.SetMaterialUpkeep(2)
	Card.SetPolymerUpkeep(2)
	Card.SetPowerUpkeep(20)

	Card.SetDiscardDelay(50);
	Work.SetMaxWorkers(3)

	Card.ProduceThreat(2)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
	local damage = Card.GetConditionCount("All")
	if damage < 3 then
		local id = Card.GetInstanceID()
		id = Game.ReplaceCard(id, "InterstellarShip")
		Game.SetCardComplete(id)
	end
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	Game.ShowMessage("The Path Home", "We've completed construction of the factories needed to begin building the interstellar ship, Earth has never felt closer.")

	Game.ShowMessage("The World Stirs", "More creatures have appeared to assault the colony.\n\nWe can hear a hum in the air, like the world itself is buzzing at us in anger, it will not let us go easily.")
	
	Game.StartAttack()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
