-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Silo")

	Card.SetType("Building")
	Card.SetImage("Card_Building_Factory")
	Card.SetDescription("This simple silo is a large sealed tank which allows us to stockpile food for use in an emergency.")
	Card.AddDestructionSound("Demolition")

	Card.SetUniqueCategory("Silo")
	Card.SetUpgradesTo("FoodVault")

	Card.SetHealth(3)
	
	Card.SetLabourCost(3)
	Card.SetMaterialCost(1)

	Card.ProduceFoodStorage(10)

	Card.AddEvent("Event", 15)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function ChoiceComplete(choiceIndex)
	if choiceIndex == 0 then
		--Research
		Game.SpawnCard("PestControl")

		Game.SpawnCard("AlienRodents")
		Card.AddEvent("AttackRepeating", 3)

	elseif choiceIndex == 1 then
		--Hunt
		Game.SpawnCard("AlienRodents")
		Card.AddEvent("Attack1", 3)
		Card.AddEvent("Attack2", 6)
		Card.AddEvent("Attack3", 9)
		Card.AddEvent("HiveQueen", 12)

	elseif choiceIndex == 2 then
		--Destroy food
		Game.ShowMessage("What a Waste", "We've destroyed our food stockpile and sterilized the silo, it was the only way to get rid of these pests.\n\nWe've made some modifications to the silos to prevent them getting inside so we should have no further problem with these pests.")
		
		Stockpile.SetFood(0)
	end
end

-----------------------------------------------------------
-----------------------------------------------------------
function Event()
	local id = Card.GetInstanceID()
	if Data.GetIntExists("Core_SiloID") == false then
		Data.CreateInt("Core_SiloID", id)
	end

	--Display choice
	local desc = "We've discovered swarms of small alien creatures breeding in our silo. They are eating our food and are aggressive towards our colonists! What should we do?"
	local choice0 = "Research a deterrent"
	local choice1 = "Have our colonists kill them on sight"
	local choice2 = "Destroy our food stockpile and sterilize the silo"

	Game.ShowChoice(desc, choice0, choice1, choice2, "ChoiceComplete")
end

-----------------------------------------------------------
-----------------------------------------------------------
function Attack1()
	Game.ShowMessage("Pests in our Silo", "A swarm of the alien rodents have been found infesting the silo again and they are becoming increasingly aggressive.")
	
	Game.SpawnCard("AlienRodents")
end

-----------------------------------------------------------
-----------------------------------------------------------
function Attack2()
	Game.ShowMessage("Pests in our Silo", "The alien rodents have started to spread, we found a swarm breeding in another building. They are becoming a serious drain on the colony's food supplies.")
	
	Game.SpawnCard("AlienRodents")
	Game.SpawnCard("AlienRodents")
end

-----------------------------------------------------------
-----------------------------------------------------------
function Attack3()
	Game.ShowMessage("Pests in our Silo", "The swarms of alien rodents are breeding faster than we can kill them, this is getting out of control!")

	Game.SpawnCard("AlienRodents")
	Game.SpawnCard("AlienRodents")
	Game.SpawnCard("AlienRodents")
end

-----------------------------------------------------------
-----------------------------------------------------------
function HiveQueen()
	Game.ShowMessage("The Queen Rises", "A huge alien has ripped its way out of the silo and destroyed it. This must be the rodent queen and it's trying to destroy the colony!")

	Game.SpawnCard("RodentQueen")
	Game.SpawnCard("AlienRodents")
	Game.SpawnCard("AlienRodents")
	Card.Discard()
end

-----------------------------------------------------------
-----------------------------------------------------------
function AttackRepeating()
	Game.SpawnCard("AlienRodents")
	Game.SpawnCard("AlienRodents")

	Card.RepeatEvent("AttackRepeating")
end