-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Watch Tower")

	Card.SetType("Building")
	Card.SetImage("Card_Building_SentryTower")
	Card.SetDescription("This tower will give our colonists a good view of the surrounding land and any threats as they approach, allowing us to estimate the time we have until the next impending attack.")
	Card.AddDestructionSound("Demolition")

	Card.SetUniqueCategory("Tower")

	Card.SetHealth(2)
	
	Card.SetLabourCost(7)
	Card.SetMaterialCost(2)

	Card.AddEvent("Event", 5, true)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
	Game.SetAttackTimerVisible(false)
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	Game.SetAttackTimerVisible(true)
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function ChoiceComplete(choiceIndex)
	if choiceIndex == 0 then
		--Shoot it
		Game.ShowMessage("A Successful Hunt", "One of the colonists takes careful aim and shoots, bringing the creature down in a single shot. It should provide food to the colony for quite some time, although it might also attract predators.")

		Game.SpawnCard("SuccessfulHunt", 1, 0, "Card")

	elseif choiceIndex == 1 then
		--Watch it
		Game.ShowMessage("Nature is Beautiful", "All the colonists come out to watch the creature as it dancers and soars on the wind. Eventually it drifts away but the colony is abuzz with discussion afterwards.")

		Game.SpawnCard("BeautyOfNature", 1, 0, "Card")

	elseif choiceIndex == 2 then
		--Do nothing
		Game.ShowMessage("Back to Work", "There's too much to do, we can't afford to spend time gawking at wildlife.\n\nThe colonists return to work and eventually the creature flies away.")
	end
end

-----------------------------------------------------------
-----------------------------------------------------------
function Event()
	--Display choice
	local desc = "Our scouts up in the watch tower have spotted a huge flying creature nearby, soaring gracefully even though it's far too large to be airborne. It appears to be a herbivore so it's probably safe. One of the colonists has proposed hunting it for food."
	local choice0 = "Shoot it for food"
	local choice1 = "Invite all the colonists to see this wonder"
	local choice2 = "Ignore it"

	Game.ShowChoice(desc, choice0, choice1, choice2, "ChoiceComplete")
end