-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Water Tank")

	Card.SetType("Building")
	Card.SetImage("Card_Building_Factory")
	Card.SetDescription("Water is vital to our survival and this huge tank allows us to store a reserve for use in emergencies.")
	Card.AddDestructionSound("Demolition")

	Card.SetUniqueCategory("WaterTank")
	Card.SetUpgradesTo("WaterVault")

	Card.SetHealth(3)
	
	Card.SetLabourCost(3)
	Card.SetMaterialCost(1)

	Card.ProduceWaterStorage(10)

	Card.AddEvent("Event", 10)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
	if Data.GetIntExists("Core_WaterTankID") == false then
		Data.CreateInt("Core_WaterTankID", 0)
	end
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
	local id = Card.GetInstanceID()
	local eventID = Data.GetInt("Core_WaterTankID")

	if id == eventID then
		local damage = Card.GetConditionCount("All")

		if damage == 0 then
			Game.ShowMessage("Leak Repaired", "We've repaired the leaking water tank and it's no longer losing water.")
			Card.ProduceWater(0)
			Data.SetInt("Core_WaterTankID", 0)
		end
	end
end

-----------------------------------------------------------
-----------------------------------------------------------
function Event()
	Data.SetInt("Core_WaterTankID", Card.GetInstanceID())

	Game.ShowMessage("Leaking Water", "Our water tank has sprung a leak and is losing water! We should repair it to stop the leak.")

	local damage = Card.GetConditionCount("All")
	if damage == 0 then
		Card.AddCondition("Damage")
	end

	Card.ProduceWater(-1)
end