-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Crystal Spire")
	
	Card.SetType("Discovery")
	Card.SetImage("Card_Building_Factory")
	Card.SetDescription("This crystal spire was created from parts salvaged from an alien obelisk.\n\nIt broadcasts a subtle frequency that we can't hear but the local wildlife can and it appears to deter their attacks.")
	Card.SetAmbientSound("EventAlienSpire")

	Card.ProduceThreat(-1)

	Card.AddEvent("Event", 8)
	Card.AddEvent("Resolution", 18)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
	local id = Card.GetInstanceID()
	Data.CreateInt("Core_SpireID", id)
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function ChoiceComplete(choiceIndex)
	if choiceIndex == 0 then
		--Research solution
		Game.SpawnCard("CrystalHarmonics")

	elseif choiceIndex == 1 then
		--Destroy it
		Game.ShowMessage("Spire Destroyed", "We destroyed the spire and the energy pulses have stopped. We were able to recover some materials from the wreckage.\n\n<align=\"center\">Gained: <sprite name=\"Materials\">+3</align>")

		Card.Discard()
		Stockpile.AddMaterials(3)

	end
end

-----------------------------------------------------------
-----------------------------------------------------------
function Event()
	--Display choice
	local desc = "The crystal spire has begun to pulsate wildly. Our scientists believe it may have become unstable and are concerned about the consequences. What should we do?"
	local choice0 = "Research the instability, perhaps we can solve the problem"
	local choice1 = "Destroy the crystal spire"
	local choice2 = "Do nothing"

	Game.ShowChoice(desc, choice0, choice1, choice2, "ChoiceComplete")
end

-----------------------------------------------------------
-----------------------------------------------------------
function Resolution()
	--Took too long to resolve
	local rand = Game.GetRandomNumber(0, 3)
		
	if rand == 0 then
		--Explodes
		Game.ShowMessage("Spire Explodes", "The crystal spire has exploded!\n\nPieces of debris have caused damage across the colony and the energy released has drawn some creatures to attack!")

		Card.Discard()
		Game.DamageRandomBuildings(2)
		Game.DamageRandomColonists(2, "Damage")
		Game.StartAttack()
		
	elseif rand == 1 then
		--Shuts down
		Game.ShowMessage("Spire Pulses", "The crystal spire suddenly emitted one last large pulse and burnt out beyond repair.\n\nAlarmingly the pulse has drawn some of the local wildlife to attack!")

		Card.Discard()
		Game.StartAttack()

	else
		--Stabilizes
		Game.ShowMessage("Spire Stabilized", "The crystal spire appears to have stabilized on its own.\n\nIt is no longer emitting the erratic energy pulses and has returned to normal operation.")

		local id = Card.GetInstanceID()
		Game.ReplaceCard(id, "StableSpire")
	end
	
	--Remove the Crystal Harmonics tech if it's in play
	local exists = Data.GetIntExists("Core_Harmonics")
	if exists == true then
		local techID = Data.GetInt("Core_Harmonics")
		Game.DiscardCard(techID)
	end
end