-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Fungal Contamination")
	
	Card.SetType("Event")
	Card.SetImage("Card_Event_SoilPollution")
	Card.SetDescription("Some kind of fungus has spread through our farms. It's causing the plants to grow faster but eating the crops is making people sick.")

	Card.ProduceFood(1)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
	local id = Card.GetInstanceID()
	Data.SetInt("Core_FungusID", id)
	
	--Display choice
	local desc = "The spores from the fungus fill the air and breathing them has caused several of the colonists to become sick. It has also spread and is now growing on some of the buildings. What should we do?"
	local choice0 = "Research the fungus"

	if Data.GetIntExists("Core_FungusResearchID") == true then
		choice0 = "Continue researching the fungus"
	end	
	
	local choice1 = "Destroy the crops and plant new ones"
	local choice2 = "Do nothing"

	Game.ShowChoice(desc, choice0, choice1, choice2, "ChoiceComplete")

	Game.DamageRandomColonists(2, "Disease")
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function ChoiceComplete(choiceIndex)
	if choiceIndex == 0 then
		--Research
		if Data.GetIntExists("Core_FungusResearchID") == false then
			Game.SpawnCard("FungalResearch")
		end
		Card.AddEvent("Sickness", 5, true)

	elseif choiceIndex == 1 then
		--Destroy
		Game.ShowMessage("Destroying Crops", "We destroyed the infected crops and all the fungus growing on the buildings, however it had already caused some damage and it will be a while before our crops regrow.")
		
		Game.DamageRandomBuildings(2)
		Game.SpawnCard("DestroyedCrops", 1, 0, "Card")
		
		if Data.GetIntExists("Core_FungusResearchID") == true then
			local researchID = Data.GetInt("Core_FungusResearchID")
			Game.DiscardCard(researchID)
		end

		Card.Discard()

	elseif choiceIndex == 2 then
		--Do nothing
		Card.AddEvent("Sickness", 5, true)
		Card.AddEvent("Bloom", 10, true)

		if Data.GetIntExists("Core_FungusResearchID") == true then
			local researchID = Data.GetInt("Core_FungusResearchID")
			Game.DiscardCard(researchID)
		end
	end
end

-----------------------------------------------------------
-----------------------------------------------------------
function Sickness()
	Game.ShowMessage("Fungal Sickness", "The spores from the fungus continue to fill the air and more of our colonists have become ill from breathing them.")
		
	Game.DamageRandomColonists(2, "Disease")
end

-----------------------------------------------------------
-----------------------------------------------------------
function Bloom()
	Game.ShowMessage("The Bloom", "The fungus growing throughout the colony suddenly entered into a new phase of its life cycle, blooming into flower-like growths before bursting and spraying a cloud of acid across the colony.\n\nThere is significant damage to our buildings and several people have been seriously injured. It's life-cycle now complete, the fungus has shriveled and died.")
		
	Game.DamageRandomColonists(3, "Damage")
	Game.DamageRandomBuildings(3)
	Game.DamageRandomBuildings(3)
	Card.Discard()
end