murdererID = 0

-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Thievery")
	
	Card.SetType("Event")
	Card.SetImage("Card_Building_Factory")
	Card.SetDescription("")
	
	Card.ProduceMorale(-3)

	Card.AddEvent("Event", 5)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
	if Data.GetIntExists("Core_PrisonerID") == false then
		Data.CreateInt("Core_PrisonerID", 0)
	end
	
	local thiefID = Data.GetInt("Core_ThiefID")
	local thiefName = Game.GetCardName(thiefID)
	Card.SetDescription(thiefName .. " has been accused of stealing from the colony but is still walking free. Many people are unhappy about this.")
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function ChoiceComplete(choiceIndex)
	if choiceIndex == 0 then
		--Imprisoned
		Data.SetInt("Core_PrisonerID", murdererID)
		Card.Discard()
		Game.SpawnCard("Prisoner")

	elseif choiceIndex == 1 then
		--Executed
		Game.ShowMessage("Execution", "The killer has been executed.\n\nThis has caused anger amongst colonists who believe that stopping the thief was the right thing to do.")
		Card.Discard()
		Game.KillCard(murdererID, "Damage")
		Game.SpawnCard("Anger")

	elseif choiceIndex == 2 then
		--Do nothing
		Game.ShowMessage("We Must Move Forward", "The killer has been released, we need every worker if we are to find a way home.\n\nHopefully there will be no further incidents.")
		Card.Discard()
	end
end

-----------------------------------------------------------
-----------------------------------------------------------
function Event()
	local colonistCount = Game.GetColonistCount()
	if colonistCount < 2 then
		Card.Discard()
		return
	end

	local thiefID = Data.GetInt("Core_ThiefID")
	local valid = Game.GetCardExists(thiefID)
	if valid == false then
		Game.ShowMessage("Moving Forward", "Things have returned to normal since the thief died and we've had no further incidents.")
		Card.Discard()
		return
	end

	--Choose the murderer
	repeat
		murdererID = Game.GetRandomColonistID()
	until murdererID ~= thiefID

	--Thief is murdered
	Game.KillCard(thiefID, "Damage")

	--Display choice
	local thiefName = Game.GetCardName(thiefID)
	local murdererName = Game.GetCardName(murdererID)
	
	local desc = thiefName .. " has died. They were caught stealing again and another colonist took the law into their own hands and killed them. Witnesses have identified the killer as " .. murdererName ..". What should we do?"
	local choice0 = "Imprison the killer"
	local choice1 = "Execute the killer"
	local choice2 = "Do nothing"

	Game.ShowChoice(desc, choice0, choice1, choice2, "ChoiceComplete")
end