-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Trouble Brewing")
	
	Card.SetType("Event")
	Card.SetImage("Card_Building_Factory")
	Card.SetDescription("The new colonists we rescued don't seem to be getting along with the others and tensions are starting to rise all around, hopefully this doesn't turn into anything more serious.")
	Card.SetAmbientSound("EventAnger")
	
	Card.ProduceMorale(-1)
	
	Card.AddEvent("Event", 5)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
	if Data.GetIntExists("Core_ThiefID") == false then
		Data.CreateInt("Core_ThiefID", 0)
	end

	if Data.GetIntExists("Core_PrisonerID") == false then
		Data.CreateInt("Core_PrisonerID", 0)
	end
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function ChoiceComplete(choiceIndex)
	if choiceIndex == 0 then
		--Imprisoned
		local thiefID = Data.GetInt("Core_ThiefID")
		Data.SetInt("Core_PrisonerID", thiefID)
		Card.Discard()
		Game.SpawnCard("Prisoner")

	elseif choiceIndex == 1 then
		--Beating
		Game.ShowMessage("Public Flogging", "The thief has been beaten in the centre of the colony to set an example.\n\nThis seems to have appeased the mob and tensions are beginning to recede.")
		local thiefID = Data.GetInt("Core_ThiefID")
		local thiefName = Game.GetCardName(thiefID)
		Game.AddCardCondition(thiefID, "Damage")

		local health = Game.GetCardHealth(thiefID)
		local damage = Game.GetCardConditionCount(thiefID, "All")
		if damage >= health then
			Game.ShowMessage("Public Flogging", "Unfortunately after the beating, " .. thiefName .. " died from their injuries.")
		end
		Card.Discard()

	elseif choiceIndex == 2 then
		--Do nothing
		Game.ShowMessage("Growing Tension", "The thief has been released without punishment.\n\nThis has made a lot of people unhappy and tensions within the colony continue to rise.")
		Card.Discard()
		Game.SpawnCard("Thievery")
	end
end

-----------------------------------------------------------
-----------------------------------------------------------
function Event()
	local colonistCount = Game.GetColonistCount()
	if colonistCount < 2 then
		Card.Discard()
		return
	end

	--Choose the thief
	local thiefID = Game.GetRandomColonistID()
	Data.SetInt("Core_ThiefID", thiefID)
	local thiefName = Game.GetCardName(thiefID)

	--Display choice
	local desc = thiefName .. " has been caught stealing from the other colonists. A mob has gathered and is demanding actions. What should we do?"
	local choice0 = "Imprison the thief"
	local choice1 = "Publicly beat the thief to set an example"
	local choice2 = "Do nothing"

	Game.ShowChoice(desc, choice0, choice1, choice2, "ChoiceComplete")
end