-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Alien Nest")
	
	Card.SetType("Expedition")
	Card.SetImage("Card_Exp_Nest")
	Card.SetDescription("An alien nest has been detected nearby. While it remains, it threatens the colony. We should send an expedition to destroy it.")
	Card.AddRecommendedSkills({"Combat", "Medicine"});
	Card.SetAmbientSound("EventWilderness")
	
	Card.SetLabourCost(13)

	Card.ProduceThreat(1)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	local combat = Work.GetAverageWorkBySkill("Combat")
	local medicine = Work.GetAverageWorkBySkill("Medicine")

	--Death
	if combat < 0.8 then
		local nWorkerID = Work.GetRandomWorkerInstanceID()
		local szName = Game.GetCardName(nWorkerID)
		
		Game.ShowMessage("Nest Destroyed", "The expedition successfully destroyed the nest, reducing the number of hostiles in the area.\n\nUnfortunately " .. szName .. " was killed in the attack.")
		
		Game.KillCard(nWorkerID, "Damage")
	
	--injury
	elseif combat < 1.6 then	
		local nWorkerID = Work.GetRandomWorkerInstanceID()
		local szName = Game.GetCardName(nWorkerID)

		if medicine < 0.5 then
			Game.ShowMessage("Nest Destroyed", "The expedition successfully destroyed the nest, reducing the number of hostiles in the area.\n\nUnfortunately " .. szName .. " was injured in the attack.")

			Game.AddCardCondition(nWorkerID, "Damage")
			Game.AddCardCondition(nWorkerID, "Damage")
		else
			Game.ShowMessage("Nest Destroyed", "The expedition successfully destroyed the nest, reducing the number of hostiles in the area.\n\nUnfortunately " .. szName .. " was injured in the attack but the team's medic was able to reduce the severity of the injury.")
			
			Game.AddCardCondition(nWorkerID, "Damage")
		end
	else
		Game.ShowMessage("Nest Destroyed", "The expedition successfully destroyed the nest, reducing the number of hostiles in the area.")
	end

end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
