-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Alien Obelisk")
	
	Card.SetType("Expedition")
	Card.SetImage("Card_Exp_Obelisk")
	Card.SetDescription("A strangely glowing alien obelisk was spotted in the distance. It hums softly, floating above the ground as the air ripples around it.\n\nWe have no idea what its purpose is but this could be first contact with a new species or the discovery of new technology.")
	Card.SetAmbientSound("EventAlienSpire")
	
	Card.SetLabourCost(7)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	--Continue story
	Game.ShowMessage("A Discovery", "Our expedition has arrived at the obelisk. They have discovered that the area around it is free of the atmospheric static that has been interfering with our communications systems.\n\nIf we study this phenomena we may be able to build a working communications system.")

	Game.SpawnCard("SignalNoiseReduction")
	Game.DelayActions(0.5)

	local desc = "Our colonists are debating further research into the obelisk: some of our scientists believe they can harness it to improve the colony, while others have recommended we destroy it. What should we do?"
	local choice0 = "Attempt to harness the obelisk"
	local choice1 = "Have someone touch the obelisk"
	local choice2 = "Destroy the obelisk"

	Game.ShowChoice(desc, choice0, choice1, choice2, "ChoiceComplete")
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function ChoiceComplete(choiceIndex)
	if choiceIndex == 0 then
		--Harness
		Game.ShowMessage("The Crystal Spire", "After studying the obelisk, our scientists were able to disassemble it and bring pieces of it back to the colony.\n\nUsing these they have created a spire that deters attack from the local wildlife.")

		Game.SpawnCard("UnstableSpire")

	elseif choiceIndex == 1 then
		--Touch
		local id = Game.GetRandomColonistID()
		local name = Game.GetCardName(id)

		Game.ShowMessage("An Incident", name .. " touched the obelisk and it vanished in a bright flash and clap of thunder! Fortunately they weren't injured but a strange light surrounded them and lingered for some time before fading.\n\nThey have said they feel fine and our medics can find nothing wrong with them. We will keep them under observation to make sure there are no lingering side effects.")

		Game.AddTraitToCard(id, "CrystalTouched")

	elseif choiceIndex == 2 then
		--Destroy
		local id = Game.GetRandomColonistID()
		local name = Game.GetCardName(id)

		Game.ShowMessage("An Incident", "We destroyed the obelisk, but when the dust settled we discovered that there were now two of " .. name .. " and we have no idea which is the original!")

		Game.CloneCard(id)
	end
end