-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Distant Survivors")
	
	Card.SetType("Expedition")
	Card.SetImage("Card_Exp_WeakSignal")
	Card.SetDescription("We've received a distant S.O.S signal from another colony module.\n\nThe message indicates they have wounded and are running out of supplies, we should put together a rescue expedition as soon as possible.")
	Card.AddRecommendedSkills({"Combat"});
	Card.SetAmbientSound("EventSignal")
	
	Card.SetLabourCost(16)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	local combat = Work.GetAverageWorkBySkill("Combat")

	local desc = "The rescue expedition has returned. The other colony was badly damaged and its people were almost out of food but we managed to rescue most of them."
	
	--injury
	if combat < 1.6 then	
		local nWorkerID = Work.GetRandomWorkerInstanceID()
		local szName = Game.GetCardName(nWorkerID)
		Game.AddCardCondition(nWorkerID, "Damage")

		desc = desc .. "\n\nUnfortunately " .. szName .. " was injured during the expedition."
	end

	Game.ShowMessage("Expedition Returned", desc)

	Game.SpawnCard("SickSurvivor")
	Game.SpawnCard("DangerousSurvivor")
	Game.SpawnCard("Survivor")
	
	Game.SpawnCard("TroubleBrewing")
	Game.SpawnCard("ColonyImprovements")

	Game.DelayActions(0.5)

	Game.ShowMessage("Wreckage Sighted!", "One of the survivors we rescued reported seeing the wreckage of the SS Daedelus!\n\nSalvaging its wreckage will help us find a way off this planet.")
	Game.SpawnCard("ShipWreckage")
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
