-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Forest Expedition")
	
	Card.SetType("Expedition")
	Card.SetImage("Card_Exp_Forest")
	Card.SetDescription("There is a forest near the colony. Some of the colonists are curious to explore it and record the plants and animals found within but it could be a dangerous expedition.")
	Card.SetAmbientSound("EventWilderness")
	
	Card.SetLabourCost(7)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	--Display choice
	local desc = "While exploring the forest, the expedition hears something large moving around up ahead..."
	local choice0 = "Approach cautiously"
	local choice1 = "Shoot in the direction of the noise, kill it before it gets closer"
	local choice2 = "Better to avoid it, back away and go around the area"

	Game.ShowChoice(desc, choice0, choice1, choice2, "ChoiceComplete")
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function ChoiceComplete(choiceIndex)
	if choiceIndex == 0 then
		--Approach
		Game.ShowMessage("Cautious Approach", "Approaching carefully through the trees, our colonists discovered another survivor and their escape pod nearby. Thankful for the rescue, they have joined the colony.\n\nWe also spotted several large predators on the way back, it may be wise to build walls and towers around the colony to help protect the people against attack.")

		Game.SpawnCard("Doctor")
		Game.UnlockCard("WoodenWall")
		Game.UnlockCard("WatchTower")

	elseif choiceIndex == 1 then
		--Shoot
		Game.ShowMessage("Shooting Blind", "Our expedition opened fire, shooting into the dense forest until the movement stopped. We investigated and discovered to our horror that it was another survivor!\n\nThey had landed in the forest in a small escape pod and were killed by our gunfire! This event has shaken the colony and it may be some time before the people recover.")

		Game.SpawnCard("Guilt")
		Game.DelayActions(0.5)

		Game.ShowMessage("Expedition Returned", "Our expedition has returned from the forest.\n\nAfter spotting several large predators, it may be wise to build walls and towers around the colony to help protect the people against attack.")

		Game.UnlockCard("WoodenWall")
		Game.UnlockCard("WatchTower")

	elseif choiceIndex == 2 then
		--Avoid
		Game.ShowMessage("Better to be Safe", "Our expedition careful avoided whatever was moving about in the forest and continued the exploration.\n\nThe forest is full of abundant lifeforms unlike anything we've seen before and the colonists are excited to record them for future study.\n\nSeveral large predators were spotted, it may be wise to build walls and towers around the colony to help protect the people against attack.")

		Game.UnlockCard("WoodenWall")
		Game.UnlockCard("WatchTower")
	end
end