-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Forward Section")
	
	Card.SetType("Expedition")
	Card.SetImage("Card_Exp_BeyondModule")
	Card.SetDescription("The forward section of the crashed ship contains what's left of the bridge.\n\nOur scientists are hoping to examine the ship's computers to see if they can retrieve valuable navigation data that would help us return to Earth.")
	Card.AddRecommendedSkills({"Research"});
	Card.SetAmbientSound("EventWilderness")
	
	Card.SetLabourCost(25)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	local research = Work.GetAverageWorkBySkill("Research")

	if research > 2.5 then
		Game.ShowMessage("The Bridge", "Our scientists were able to retrieve the navigational data from the ship's computers and it contained all the information we need to guide our return trip to Earth.\n\nWe are one step closer to getting home.")
		
		Data.CreateInt("Core.NavResearched", 1)
		local alloyResearched = Data.GetIntExists("Core.AlloyResearched")
		local fusionResearched = Data.GetIntExists("Core.FusionResearched")
		
		if alloyResearched and fusionResearched then
			Game.ShowMessage("The Path Home", "We now have all that we need to construct a ship that will carry us back to Earth: the alloys to build the hull, the generator to power the engines, and a map to follow.\n\nThe path home lies before us, we begin walking it whenever you are ready.")
			Game.SpawnCard("SpaceProgram")
		end
	else
		Game.ShowMessage("The Bridge", "Our team were able to retrieve parts of the ships computers.\n\nIt will take some time to reconstruct the navigational data, but at least we're one step closer to getting home.")

		Game.SpawnCard("NavigationSystem")
	end
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
