-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Mid Section")
	
	Card.SetType("Expedition")
	Card.SetImage("Card_Exp_BeyondModule")
	Card.SetDescription("The mid section of the ship contained the living and recreational quarters.\n\nOur engineers would like to disassemble a piece of the hull and take samples so we can study the alloys it's made from.")
	Card.AddRecommendedSkills({"Engineering"});
	Card.SetAmbientSound("EventWilderness")
	
	Card.SetLabourCost(25)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	local engineering = Work.GetAverageWorkBySkill("Engineering")

	if engineering > 2.5 then
		Game.ShowMessage("Expedition Returned", "Our team has returned with samples taken from the ships hull.\n\nIncredibly they also found a working life-support pod containing a survivor!")
		
		Game.SpawnCard("CompositeAlloys")
		Game.SpawnCard("Survivor")
	else
		local rand = Game.GetRandomNumber(0, 2)
		if rand == 0 then
			Game.ShowMessage("Expedition Returned", "Our team has returned with samples taken from the ships hull.\n\nIncredibly they also found a working life-support pod containing a survivor!")
			
			Game.SpawnCard("CompositeAlloys")
			Game.SpawnCard("Survivor")
		else
			Game.ShowMessage("Expedition Returned", "Our team has returned with samples taken from the ships hull, but while searching the ship they disturbed an alien nest and are being chased!")

			Game.SpawnCard("CompositeAlloys")
			Game.SpawnCard("AlienNest")
			Game.StartAttack()
		end
		
	end
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
