-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Mountain Expedition")
	
	Card.SetType("Expedition")
	Card.SetImage("Card_Exp_Mountains")
	Card.SetDescription("We can see a small mountain range in the distance, it looks barren and rocky but could provide useful building materials. We should send an expedition to investigate.")
	Card.AddRecommendedSkills({"Engineering"});
	Card.SetAmbientSound("EventWilderness")
	
	Card.SetLabourCost(7)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	local engineering = Work.GetAverageWorkBySkill("Engineering")

	if engineering < 1.5 then	
		--injury
		local workerID = Work.GetRandomWorkerInstanceID()
		local name = Game.GetCardName(workerID)
		
		Game.ShowMessage("Expedition Returned", "The mountains are difficult to climb and while exploring " .. name .. " slipped and was injured.\n\nThe expedition brought back rock and soil samples to study so we can determine just which minerals are available to us.")

		Game.AddCardCondition(workerID, "Damage")
	else
		--Safe
		Game.ShowMessage("Expedition Returned", "The mountains are difficult to climb but fortunately out engineers were able to rig up a series of ropes and harnesses to ensure everyone could climb safely.\n\nThe expedition brought back rock and soil samples to study so we can determine just which minerals are available to us.")
	end

	Game.SpawnCard("MineralSurvey")

end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
