-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Rear Section")
	
	Card.SetType("Expedition")
	Card.SetImage("Card_Exp_BeyondModule")
	Card.SetDescription("The rear section of the crashed ship has ruptured and is spilling chemicals into the environment that are aggravating the wildlife.\n\nIt could be dangerous to venture inside but it will be necessary if we want to examine the ship's engines and generators.")
	Card.AddRecommendedSkills({"Combat", "Engineering", "Medicine"});
	Card.SetAmbientSound("EventWilderness")
	
	Card.SetLabourCost(25)

	Card.ProduceThreat(2)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	local research = Work.GetAverageWorkBySkill("Research")
	local medicine = Work.GetAverageWorkBySkill("Medicine")
	local engineering = Work.GetAverageWorkBySkill("Engineering")

	local desc = "The engine room was a mess, toxic chemicals leaking all over the place."
	
	--injury
	if research < 2.5 and medicine < 2.5 and engineering < 2.5 then
		local nWorkerID = Work.GetRandomWorkerInstanceID()
		local szName = Game.GetCardName(nWorkerID)
		Game.AddCardCondition(nWorkerID, "Damage")
		Game.AddCardCondition(nWorkerID, "Damage")

		desc = desc .. "\n\nUnfortunately " .. szName .. " touched something they shouldn't have and has suffered severe burns.\n\nWe did manage to retrieve some valuable data before leaving."
	
	--safe
	else
		desc = desc .. "\n\nFortunately the expedition team had the skills needed to deal with the dangerous situation and we managed to retrieve some valuable data without incident."
	end

	Game.ShowMessage("The Engine Room", desc)
	Game.SpawnCard("FusionResearch")
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
