-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Ship Wreckage")
	
	Card.SetType("Expedition")
	Card.SetImage("Card_Exp_WeakSignal")
	Card.SetDescription("The SS Daedelus some distance from the colony and may contain valuable supplies.\n\nOur scientists are also interested in recovering its navigational computer which will help us plot a course back to Earth.")
	Card.AddRecommendedSkills({"Combat", "Medicine"});
	Card.SetAmbientSound("EventWilderness")
	
	Card.SetLabourCost(25)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	local combat = Work.GetAverageWorkBySkill("Combat")
	local medicine = Work.GetAverageWorkBySkill("Medicine")

	local desc = "The expedition has cleared a path to the wreckage and found an alien nest on the way."

	--injury
	if combat < 1.6 then	
		local nWorkerID = Work.GetRandomWorkerInstanceID()
		local szName = Game.GetCardName(nWorkerID)
		Game.AddCardCondition(nWorkerID, "Damage")

		desc = desc .. " Unfortunately " .. szName .. " was injured by an attack on the way there"
		if medicine < 0.5 then
			Game.AddCardCondition(nWorkerID, "Damage")
			desc = desc .. "."
		else
			desc = desc .. ", it's fortunate we had a medic along or it could have been worse."
		end
	end

	desc = desc .. "\n\nThe wreckage has broken into three sections and we have begun planning expeditions to explore each one."
	
	Game.ShowMessage("The Remains of Daedelus", desc)
	Game.SpawnCard("ForwardSection")
	Game.SpawnCard("MidSection")
	Game.SpawnCard("RearSection")
	Game.SpawnCard("AlienNest")
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
