-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Smoke")
	
	Card.SetType("Expedition")
	Card.SetImage("Card_Exp_WeakSignal")
	Card.SetDescription("A plume of smoke is rising in the distance and it could be a crashed escape pod.\n\nWe should mount a rescue expedition.")
	Card.AddRecommendedSkills({"Combat", "Medicine"});
	Card.SetAmbientSound("EventWilderness")
	
	Card.SetLabourCost(7)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	local combat = Work.GetAverageWorkBySkill("Combat")
	local medicine = Work.GetAverageWorkBySkill("Medicine")

	local desc = "The smoke was coming from a crashed module. It was damaged far worse than ours and most of its people were killed on landing, but our expedition managed to rescue a few of the survivors.\n\nThey also report finding an alien nest nearby and a strangely glowing obelisk."

	--injury
	if combat < 1.0 then	
		local nWorkerID = Work.GetRandomWorkerInstanceID()
		local szName = Game.GetCardName(nWorkerID)
		Game.AddCardCondition(nWorkerID, "Damage")

		desc = desc .. " Unfortunately " .. szName .. " was injured by wildlife"
		if medicine < 0.5 then
			Game.AddCardCondition(nWorkerID, "Damage")
			desc = desc .. "."
		else
			desc = desc .. " but the team's medic was able to reduce the severity of the injury."
		end
	end

	Game.ShowMessage("Expedition Complete", desc)

	Game.SpawnCard("InjuredSurvivor")
	Game.SpawnCard("SickSurvivor")
	Game.SpawnCard("AlienNest")
	Game.SpawnCard("AlienObelisk")
	Game.SpawnCard("MilitaryIndustry")
	Game.SpawnCard("CivicResearch")

end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
