-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Weak Signal")
	
	Card.SetType("Expedition")
	Card.SetImage("Card_Exp_WeakSignal")
	Card.SetDescription("A signal has been detected to the West.\n\nA mountain range lies in between and there are concerns it may be interfering with our ability to pinpoint the signal's origin.")
	Card.AddRecommendedSkills({"Research"});
	Card.SetAmbientSound("EventSignal")
	
	Card.SetLabourCost(17)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	local research = Work.GetAverageWorkBySkill("Research")

	if research >= 1.5 then
		--Guaranteed success
		Game.ShowMessage("Survivor Found", "With the aid of our scientists, we were able to locate the source of the signal quickly.\n\nThe expedition discovered another colony module but this one had been badly damaged on landing and most of the colonists had perished.\n\nWe found one injured survivor and were able to salvage a few supplies.\n\n<align=\"center\">Gained: <sprite name=\"Food\">+5 <sprite name=\"Materials\">+5 <sprite name=\"Polymers\">+5</align>")

		local id = Game.SpawnCard("Survivor")
		Game.AddCardCondition(id, "Damage")

		Stockpile.AddFood(5)
		Stockpile.AddMaterials(5)
		Stockpile.AddPolymers(5)

	else
		local rand = Game.GetRandomNumber(0, 3)
		
		if rand == 0 then
			--Lucky success
			Game.ShowMessage("Survivor Found", "It was difficult for the expedition to location the source of the signal but after some exploration they managed to find the site of a crashed colony module.\n\nIt had been badly damaged on landing and most of the colonists had perished.\n\nWe found one injured survivor and were able to salvage a few supplies.\n\n<align=\"center\">Gained: <sprite name=\"Food\">+5 <sprite name=\"Materials\">+5 <sprite name=\"Polymers\">+5</align>")

			local id = Game.SpawnCard("Survivor")
			Game.AddCardCondition(id, "Damage")

			Stockpile.AddFood(5)
			Stockpile.AddMaterials(5)
			Stockpile.AddPolymers(5)

		elseif rand == 1 then
			--Attack
			Game.ShowMessage("A Wrong Turning", "Our team were not able to locate the source of the signal before it stopped.\n\nTo make matters worse, they stumbled upon an alien nest and had to retreat back to the colony.")

			Game.SpawnCard("AlienNest")
			Game.StartAttack()

		elseif rand == 2 then
			--Bad result
			Game.ShowMessage("No Survivors", "It took a long time for the expedition to location the source of the signal. Eventually they found the site of a crashed colony module, it had been badly damaged on landing and there were no survivors.\n\nWe managed to salvage some supplies but news of the tragedy has spread through the colony, damaging morale.\n\n<align=\"center\">Gained: <sprite name=\"Food\">+5 <sprite name=\"Materials\">+5 <sprite name=\"Polymers\">+5</align>")

			Game.SpawnCard("Despair")
		end
	end

end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
