-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Composite Alloys")
	
	Card.SetType("Tech")
	Card.SetImage("Card_Research_Mineral")
	Card.SetDescription("The samples taken from the wreck of the SS Daedelus are comprised of advanced composite allows that allowed the ship to withstand the dangerous forces encountered during FTL travel.\n\nWe will need to reverse engineer these if we want to return home.")
	Card.SetAmbientSound("EventResearch")
	
	Card.SetLabourCost(37)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	Data.CreateInt("Core.AlloyResearched", 1)

	Game.ShowMessage("New Materials", "We can now recreate the composite allows used in the hull of the SS Daedelus and these will prove useful if we are to build a new ship.\n\nWith this advancement we are one step closer to finding a way home.")

	local navResearched = Data.GetIntExists("Core.NavResearched")
	local fusionResearched = Data.GetIntExists("Core.FusionResearched")
	if navResearched and fusionResearched then
		Game.ShowMessage("The Path Home", "We now have all that we need to construct a ship that will carry us back to Earth: the alloys to build the hull, the generator to power the engines, and a map to follow.\n\nThe path home lies before us, we begin walking it whenever you are ready.")
		Game.SpawnCard("SpaceProgram")
	end
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
