-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Fusion Research")
	
	Card.SetType("Tech")
	Card.SetImage("Card_Research_Fusion")
	Card.SetDescription("We have retrieved the wreckage of the fusion drive from the SS Daedelus.\n\nAs our colony grows, so does our need for cleaner and more efficient forms of power.\n\nFusion has long been used on Earth to solve this very problem and we will need these generators it if we are to find a way home.")
	Card.SetAmbientSound("EventResearch")
	
	Card.SetLabourCost(37)

	Card.UnlocksBuilding("FusionPlant")
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	Data.CreateInt("Core.FusionResearched", 1)

	Game.ShowMessage("Research Complete", "Our scientists were able to adapt the materials on this world to generate fusion power.\n\nWe can now build power plants capable of generating a huge amount of clean energy which we will need if we are to construct a new ship.")

	local alloyResearched = Data.GetIntExists("Core.AlloyResearched")
	local navResearched = Data.GetIntExists("Core.NavResearched")
	if alloyResearched and navResearched then
		Game.ShowMessage("The Path Home", "We now have all that we need to construct a ship that will carry us back to Earth: the alloys to build the hull, the generator to power the engines, and a map to follow.\n\nThe path home lies before us, we begin walking it whenever you are ready.")
		Game.SpawnCard("SpaceProgram")
	end
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
