-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Trait.SetName("Crystal Touched")
	Trait.SetDescription("This colonist had an encounter with a strange alien obelisk.")
	
	Trait.SetImage("TraitCrystalTouched")

	Trait.SetCanAssign(false)

	Trait.AddEvent("Dreams", 10)
	Trait.AddEvent("ChangeBegins", 20)
	Trait.AddEvent("ChangeComplete", 30)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Dreams()
	--First symptoms
	local name = Card.GetName()

	Game.ShowMessage("Crystal Touched", name .. " reports that they have begun to have strange dreams: Endless landscapes filled with crystalline lattices that fold back on themselves in infinite fractal patterns.\n\nThese dreams are vivid and fill their thoughts every night.\n\nThey find these dreams... soothing...")
end

-----------------------------------------------------------
-----------------------------------------------------------
function ChangeBegins()
	--Beginning of change
	local name = Card.GetName()

	Game.ShowMessage("Crystal Touched", name .. " has begun to experience further changes from their encounter with the obelisk.\n\nThey report that their mind is full of new ideas and knowledge that they never learnt and it's improved their abilities. They also no longer need to eat or drink. Our scientists are at a loss to explain these changes.")

	Card.SetFoodUpkeep(0)
	Card.SetWaterUpkeep(0)
	Card.SetConditionAllowed("Hunger", false)
	Card.SetConditionAllowed("Thirst", false)
	Card.LevelUp(false)
end

-----------------------------------------------------------
-----------------------------------------------------------
function ChangeComplete()
	--Complete change
	local name = Card.GetName()

	Game.ShowMessage("Crystal Touched", name .. " has become something... new.\n\nTheir body has become suffused with energy and their skin and hair have become the color of the obelisk.\n\nAs far as we can tell, their transformation is complete.")

	Card.SetHealth(4)
	Card.LevelUp(false)
	Card.ProducePower(1)
	Card.SetConditionAllowed("Disease", false)

	Card.SetHairColour(0x8C528DFF)
	Card.SetSkinColour(0x8C528DFF)
	Card.SetEyeColour(0x00FFFFFF)
	Card.ReloadSprites()
end