-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Trait.SetName("Sickly")
	Trait.SetDescription("<b>Pollution (<sprite name=\"Pollution\">)</b> can cause them to become <b>Injured (<sprite name=\"Damage\">)</b>")
	
	Trait.SetImage("TraitSickly")
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
	local damage = Card.GetConditionCount("All")
	local health = Card.GetHealth()
	local healthRemaining = health - damage

	--Won't reduce health below 1
	if healthRemaining <= 1 then
		return
	end

	--Chance of taking damage is based on level of pollution but no higher than 30%
	local chance = Stockpile.GetTotalPollution()
	if chance > 3 then
		chance = 3
	end
	
	local rand = Game.GetRandomNumber(0, 10)
	if rand < chance then
		Card.AddCondition("Damage")
	end
end